OperationCreateNCFilesFromSelected Method (String, String, Boolean, String, Boolean, String) |
Creates NC files from the selected parts using the given NC template name.
See Tekla Structures Help for more information about NC files.
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static bool CreateNCFilesFromSelected( string NCFileSettings, string DestinationFolder, bool CreatePopMarks = false, string PopMarkSettingsFileName = "", bool CreateContourMarking = false, string ContourMarkingSettingsFileName = "" )
Parameters
- NCFileSettings
- Type: SystemString
The name of the NC setting template to be used in creation. - DestinationFolder
- Type: SystemString
The name of the folder where NC files are created. If defined, overrides the default folder in the setting template. - CreatePopMarks (Optional)
- Type: SystemBoolean
Create pop-marks during export. - PopMarkSettingsFileName (Optional)
- Type: SystemString
The name of the pop-mark setting file to be used in creation. - CreateContourMarking (Optional)
- Type: SystemBoolean
Create contour marking during export. - ContourMarkingSettingsFileName (Optional)
- Type: SystemString
The name of the contour marking setting file to be used in creation.
Return Value
Type: BooleanTrue if the NC files are created, false if the numbering is not up-to-date or the used configuration is wrong.
Exceptions
Exception | Condition |
---|---|
ArgumentException | Thrown when the NCFileSettings is not defined. |
ArgumentNullException | Thrown when the NCFileSettings is null. |
Examples
using Tekla.Structures.Model; using Tekla.Structures.Model.Operations; using Tekla.Structures.Model.UI; using System.Collections; using System.Windows.Forms; public class Example { public void Example1() { Picker Picker = new Picker(); try { Beam Beam1 = Picker.PickObject(Picker.PickObjectEnum.PICK_ONE_PART, "Pick object to Create NC for") as Beam; ArrayList Parts = new ArrayList(); Parts.Add(Beam1); Tekla.Structures.Model.UI.ModelObjectSelector MOS = new Tekla.Structures.Model.UI.ModelObjectSelector(); MOS.Select(Parts); if (Operation.CreateNCFilesFromSelected("DSTV for profiles", "", true, "standard", true, "standard")) MessageBox.Show("NC creation successful"); MOS.Select(new ArrayList()); //remove UI selection } catch { } } }
See Also